
%global meadversion 8.0.0
%global namedversion 8.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-transaction-spi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 8.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-transaction-spi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Transaction SPI
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-transaction-spi-8.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-transaction-spi-8.0.0.Final-redhat-00001-sources.jar
Source103: jboss-transaction-spi-8.0.0.Final-redhat-00001-javadoc.jar
Source104: jboss-transaction-spi-8.0.0.Final-redhat-00001.jar
Source105: jboss-transaction-spi-8.0.0.Final-redhat-00001.pom
%endif

URL:            http://www.jboss.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-transaction-spi-%{version}-%{release}-root

%description
JBoss Transaction SPI

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-transaction-spi
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-transaction-spi-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/jboss-transaction-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-transaction-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-transaction-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)


# javadoc
%if %with javadoc
%{__unzip} -qq %{_sourcedir}/jboss-transaction-spi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-transaction-spi-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-transaction-spi-%{namedversion}/META-INF
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-transaction-spi
%defattr(0644,root,root,0755)
%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
%{_javadir}/jboss-transaction-spi.jar
%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar
%{_javadir}/jboss-transaction-spi-sources.jar
%if %with javadoc
%{_javadir}/jboss-transaction-spi-%{namedversion}-javadoc.jar
%{_javadir}/jboss-transaction-spi-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-transaction-spi-%{namedversion}
%{_javadocdir}/jboss-transaction-spi
%endif

%changelog
* Thu Mar 30 2023 Yong Yang <yyang@redhat.com> - 8.0.0-1.Final_redhat_00001.1
- 8.0.0.Final-redhat-00001

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-1.Final_redhat_00001.1
- Built by CPaaS

* Fri Mar 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Nov 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.6.1-1.Final_redhat_00002.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.6.0-1.Final_redhat_1.1
Built by CPaaS

